com.io7m.jtensors.bytebuffered.parameterized

## Interface PVectorByteBuffered4LType<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    ByteBufferedType, PVector2LType<T>, PVector3LType<T>, PVector4LType<T>, PVectorByteBuffered2LType<T>, PVectorByteBuffered3LType<T>, PVectorReadable2LType<T>, PVectorReadable3LType<T>, PVectorReadable4LType<T>, PVectorWritable2LType<T>, PVectorWritable3LType<T>, PVectorWritable4LType<T>, Vector2LType, Vector3LType, Vector4LType, VectorReadable2LType, VectorReadable3LType, VectorReadable4LType, VectorWritable2LType, VectorWritable3LType, VectorWritable4LType
  All Known Implementing Classes:
    PVectorByteBufferedM4L

      public interface PVectorByteBuffered4LType<T>
      extends PVector4LType<T>, PVectorByteBuffered3LType<T>

  The type of `PVector4LType` values that are also byte buffered.
  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable4LType

      `copyFromTyped4L`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable4LType

      `getWL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable4LType

      `copyFrom4L, set4L, setWL`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable3LType

      `copyFromTyped3L`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable3LType

      `getZL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3LType

      `copyFrom3L, set3L, setZL`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable2LType

      `copyFromTyped2L`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable2LType

      `getXL, getYL`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2LType

      `copyFrom2L, set2L, setXL, setYL`

    - ### Methods inherited from interface com.io7m.jtensors.bytebuffered.ByteBufferedType

      `getByteOffset, setByteOffset`

Copyright © 2015 <code@io7m.com> http://io7m.com